package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.recovery.rcvsysuser.AddRcvSysUserDTO;
import com.docus.server.dto.recovery.rcvsysuser.EditRcvSysUserDTO;
import com.docus.server.entity.recovery.RcvSysUser;
import com.docus.server.vo.recovery.rcvsysuser.RcvSysUserVO;
import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 系统登录用户表 服务转换器
 *
 * @author AutoGenerator
 * @since 2023-09-13
 */
@Mapper
public interface RcvSysUserConvert {

    RcvSysUserConvert INSTANCE = Mappers.getMapper(RcvSysUserConvert.class);

    @Mappings({})
    RcvSysUser convertDO(AddRcvSysUserDTO addRcvSysUserDTO);

    @Mappings({})
    RcvSysUser convertDO(EditRcvSysUserDTO editRcvSysUserDTO);

    @Mappings({})
    List<RcvSysUser> convertAddDOList(List<AddRcvSysUserDTO> addRcvSysUserDTO);

    @Mappings({})
    List<RcvSysUser> convertEditDOList(List<EditRcvSysUserDTO> editRcvSysUserDTO);

    @Mappings({})
    RcvSysUserVO convertVO(RcvSysUser rcvSysUser);

    @Mappings({})
    List<RcvSysUserVO> convertVO(List<RcvSysUser> rcvSysUserList);

    @Mappings({})
    PageResult<RcvSysUserVO> convertVO(PageResult<RcvSysUser> pageResult);
}

